Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 412747 - media-video/bombono-dvd: "Only <glib.h> can be included directly."
Summary: media-video/bombono-dvd: "Only <glib.h> can be included directly."
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Andreas K. Hüttel
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: glib-2.32
  Show dependency tree
 
Reported: 2012-04-20 07:20 UTC by DaggyStyle
Modified: 2012-05-06 17:34 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build log (media-video:bombono-dvd-1.2.1:20120420-071650.log,32.44 KB, text/plain)
2012-04-20 07:20 UTC, DaggyStyle
Details
build.log (build.log,30.46 KB, text/plain)
2012-04-20 10:46 UTC, Andre Reinke
Details
config.opts (config.opts,5.43 KB, text/plain)
2012-04-20 10:50 UTC, Andre Reinke
Details
bombono-dvd-1.2.0-work_with_glib.patch (bombono-dvd-1.2.0-work_with_glib.patch,375 bytes, patch)
2012-04-26 12:43 UTC, Andre Reinke
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description DaggyStyle 2012-04-20 07:20:16 UTC
same as in the link provided, also the package mentioned above suffers from this issue.

Portage 2.1.10.56 (default/linux/amd64/10.0/desktop/kde, gcc-4.6.2, glibc-2.14.1-r3, 3.3.2-gentoo x86_64)
=================================================================
System uname: Linux-3.3.2-gentoo-x86_64-Intel-R-_Core-TM-_i7-2600_CPU_@_3.40GHz-with-gentoo-2.1
Timestamp of tree: Fri, 20 Apr 2012 04:30:01 +0000
app-shells/bash:          4.2_p20
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.3, 3.2.2-r1
dev-util/cmake:           2.8.7-r5
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1
sys-apps/openrc:          0.9.9.3
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.5.3-r2, 4.6.2
sys-devel/gcc-config:     1.5-r2
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 3.3 (virtual/os-headers)
sys-libs/glibc:           2.14.1-r3
Repositories: gentoo x11 kde enlightenment vmware gamerlay-stable Utopia_Platinia
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA dlj-1.1 skype-eula Broadcom PUEL googleearth LOKI-EULA AdobeFlash-10.3 RTCW-ETEULA ut2003 MakeMKV-EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -msse4.1"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe -msse4.1"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going --quiet-build=n"
FEATURES="assume-digests binpkg-logs collision-protect distlocks ebuild-locks fixlafiles news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans"
FFLAGS=""
GENTOO_MIRRORS="ftp://ftp.halifax.rwth-aachen.de/gentoo/"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en he es"
MAKEOPTS="-j10"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--timeout=180"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/x11 /var/lib/layman/kde /var/lib/layman/enlightenment /var/lib/layman/vmware /var/lib/layman/gamerlay /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi aio alsa amd64 amr audiofile bash-completion berkdb bidi branding bzip2 c++0x cairo cdda cdparanoia cdr cjk cleartype cli consolekit cracklib crypt css cups curl cxx dbus declarative device-mapper dga dri drm dts dv dvb dvd dvdr dvdread edb emboss encode exif faad fam ffmpeg firefox flac fortran ftp gallium gdbm gdu gif gphoto2 gpm gtk iconv icq id3tag imagemagick java javascript jpeg jpeg2k kde kipi lame lcms ldap libnotify lua lzma mad matroska mmx mng modules mono mp3 mp4 mpeg mtp mudflap multilib nas ncurses nls nptl nptlonly nsplugin ogg openal openexr opengl openmp openvg oss pam pango pcre pdf perl phonon php plasma png policykit ppds pppd private-headers python qt3support qt4 quicktime readline samba scanner sdl session smp sndfile spell srt sse sse2 sse3 ssl ssse3 startup-notification svg sysfs tcpd theora threads tiff truetype udev unicode usb v4l v4l2 vcd vdpau vorbis vpx wavpack wifi wma wxwidgets x264 xcb xcomposite xinerama xml xorg xosd xrandr xscreensaver xulrunner xv xvid xvmc zlib" ALSA_CARDS="hda-intel usb-audio" ALSA_PCM_PLUGINS="multi asym rate dmix dshare dsnoop softvol plug extplug ioplug hooks empty route file" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" GRUB_PLATFORMS="pc efi-64" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en he es" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" SANE_BACKENDS="hp" USERLAND="GNU" VIDEO_CARDS="vesa v4l radeon r600 i915 intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, USE_PYTHON



Reproducible: Always
Comment 1 DaggyStyle 2012-04-20 07:20:32 UTC
Created attachment 309593 [details]
build log
Comment 2 Andre Reinke 2012-04-20 10:46:52 UTC
Created attachment 309605 [details]
build.log

Same issue over here.
Comment 3 Andre Reinke 2012-04-20 10:50:07 UTC
Created attachment 309609 [details]
config.opts

The specific snippet of code:
 *       nonfatal escons || die "Please add ${S}/config.opts when filing bugs reports!"
Comment 4 Andre Reinke 2012-04-26 12:43:15 UTC
Created attachment 310179 [details, diff]
bombono-dvd-1.2.0-work_with_glib.patch
Comment 5 Andreas K. Hüttel gentoo-dev 2012-05-06 17:34:19 UTC
Fixed in 1.2.1, thanks!